### なし

を選択すると、XPipe は ID を提供しない。これは、エージェントのような外部ソースも無効にする。

### アイデンティティファイル

オプションのパスフレーズとともに ID ファイルを指定することもできる。
このオプションは、`ssh -i <file>` と同等である。

これは公開鍵ではなく、*秘密*鍵であることに注意すること。
これを間違えると、sshは不可解なエラーメッセージを出すだけである。

### SSHエージェント

あなたのIDがSSH-Agentに保存されている場合、エージェントが起動すればssh実行ファイルはそれを使用することができる。
XPipeはエージェントプロセスがまだ起動していない場合、自動的に起動する。

### パスワードマネージャーエージェント

SSHエージェント機能を持つパスワードマネージャを使用している場合、ここでそれを使用するかどうかを選択できる。XPipeは、他のエージェント設定と競合しないことを確認する。ただし、XPipeはこのエージェントを単独で起動することはできないので、エージェントが起動していることを確認する必要がある。

### GPG エージェント

IDが例えばスマートカードに保存されている場合、`gpg-agent`を使ってSSHクライアントに提供することができる。
このオプションは、まだ有効になっていない場合、エージェントのSSHサポートを自動的に有効にし、正しい設定でGPGエージェントデーモンを再起動する。

### ページェント(Windows)

Windowsでページェントを使用している場合、XPipeはページェントが実行されているかどうかを最初にチェックする。
ページャントの性質上、ページャントを実行させるのはあなたの責任である。
ページェントが実行されている場合、XPipeは最初にページェントが実行されているかどうかを確認する。
ページェントが実行されていれば、XPipeは適切な名前のパイプを
`-oIdentityAgent=...`経由で適切な名前のパイプをsshに渡す。

### Pageant (Linux & macOS)

IDがページェントエージェントに保存されている場合、エージェントが起動すればssh実行ファイルはIDを使用できる。
XPipeは、エージェントプロセスがまだ実行されていない場合、自動的に開始する。

### Yubikey PIV

IDがYubikeyのPIVスマートカード機能で保存されている場合、YubicoのYubikey PIVでIDを取得できる。
Yubico PIV ToolにバンドルされているYubicoのYKCS11ライブラリを使用する。

この機能を使うには、OpenSSHの最新ビルドが必要であることに注意。

### カスタム PKCS#11 ライブラリ

これは OpenSSH クライアントに、指定した共有ライブラリファイルを読み込むように指示する。

この機能を使うには、最新の OpenSSH が必要であることに注意。

### その他の外部ソース

このオプションは、任意の外部実行 ID プロバイダがその鍵を SSH クライアントに供給することを許可する。SSH鍵を管理するために他のエージェントやパスワード・マネージャを使用している場合は、このオプションを使用する必要がある。
